package apiresponse

type DataDocument struct {
	Key  string
	Size int64
}

type V1DocumentsPOST struct {
	APIResponse
	Data struct {
		Bucket    string
		Documents []DataDocument
	}
}

// Deprecated: Use V1DocumentsPOST instead
type V1DocumentPOST struct {
	APIResponse
	Data struct {
		Bucket string
		DataDocument
	}
}

type V1DocumentDELETE struct {
	APIResponse
}

type V1DocumentKeyPUT struct {
	APIResponse
	Data struct {
		Bucket string
		Key    string
	}
}
